//---------------------------------------------------------------------------
#ifndef FormMainH
#define FormMainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>

#include "MibAccess.h"
//---------------------------------------------------------------------------
class TfrmMain : public TForm
{
__published:	// Von der IDE verwaltete Komponenten
  TComboBox *cmbAdapters;
  TLabel *lblAvailAdapters;
  TStaticText *stTextCurrIp;
  TLabel *lblCurrentIp;
  TLabel *lblMac;
  TStaticText *stTextMac;
  TLabel *lblSubnetMask;
  TStaticText *stTextSubnetMask;
  TLabel *lblType;
  TStaticText *stTextType;
  TCheckBox *chkIncludeDialUp;
  TCheckBox *chkIncludeLoopback;
  TButton *btnRefresh;
  TButton *btnClose;
  void __fastcall FormShow(TObject *Sender);
  void __fastcall btnRefreshClick(TObject *Sender);
  void __fastcall btnCloseClick(TObject *Sender);
  void __fastcall FormDestroy(TObject *Sender);
  void __fastcall cmbAdaptersClick(TObject *Sender);
private:	// Anwender-Deklarationen

  tSTRUCTNICINFO* pNicInfo; // Zeiger auf die Strukturen mit
                            // den NIC-Informationen
  int __fastcall RefreshNicInfo(void);

public:		// Anwender-Deklarationen
  __fastcall TfrmMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmMain *frmMain;
//---------------------------------------------------------------------------
#endif
